---
- name: Create config directory
  file:
    path: ~/.config/nvim
    state: directory
    mode: 0755

- name: Synchronize config
  synchronize:
    src: nvim/
    dest: ~/.config/nvim/
    recursive: yes
    delete: yes

- name: Copy options.lua template
  template:
    src: options.j2
    dest: ~/.config/nvim/lua/user/options.lua
    force: yes
    mode: 0644

- name: Copy highlight theme for markdown-preview.nvim
  template:
    src: markdown-highlight.j2
    dest: ~/.config/nvim/markdown-highlight.css
    force: yes
    mode: 0644
